您的位置是:网站首页>Javascript编程Javascript编程

nodejs支持import吗

少儿编程网2021-12-29 15:14:33Javascript编程 人已围观 来源:少儿编程 -用户投稿

简介nodejs不支持import语句,原因:nodejs采用的是CommonJS的模块化规范,使用require语句引入模块;而import是ES6的模块化规范关键字。本教程操作环境:windows7系统、nodejs12.19.0版,DELLG3电脑。nodejs不支持import语句。原因:nod

nodejs不支持import语句,原因:nodejs采用的是CommonJS的模块化规范,使用require语句引入模块;而import是ES6的模块化规范关键字。KsG少儿编程网-https://www.pxcodes.com

KsG少儿编程网-https://www.pxcodes.com

本教程操作环境:windows7系统、nodejs 12.19.0版,DELL G3电脑。KsG少儿编程网-https://www.pxcodes.com

nodejs不支持import语句。KsG少儿编程网-https://www.pxcodes.com

原因:nodejs采用的是CommonJS的模块化规范,使用require引入模块;而import是ES6的模块化规范关键字。KsG少儿编程网-https://www.pxcodes.com

而有时又需要使用import,要怎么做?KsG少儿编程网-https://www.pxcodes.com

想要使用import,必须引入babel转义支持,通过babel进行编译,使其变成node的模块化代码。KsG少儿编程网-https://www.pxcodes.com

在node中使用import/export的方法:KsG少儿编程网-https://www.pxcodes.com

想要使用import,必须引入babel转义支持,通过babel进行编译,使其变成node的模块化代码。KsG少儿编程网-https://www.pxcodes.com

我们可以在命令行中使用KsG少儿编程网-https://www.pxcodes.com

babel-node 命令来进行编译,babel-node 命令不是独立安装,在 Babel 7.X 版本前,需要通过安装 babel-cliKsG少儿编程网-https://www.pxcodes.com

包获得;在 Babel 7.X 版本,需要安装 @babel/core、@babel/cli 两个包。KsG少儿编程网-https://www.pxcodes.com

说明:此处以 7.X 之前的版本举例,7.X 版本可去*网查找对应包的使用用例KsG少儿编程网-https://www.pxcodes.com

安装必要的插件KsG少儿编程网-https://www.pxcodes.com

全局安装babel-cliKsG少儿编程网-https://www.pxcodes.com

npm install babel-cli -g

安装 babel-preset-envKsG少儿编程网-https://www.pxcodes.com

npm install babel-preset-env -D

然后原来是node server.js,改为这样调用:babel-node --presets env server.jsKsG少儿编程网-https://www.pxcodes.com

需要注意的是如果只是为了 babel-node 这一个命令,安装 babel-cli 会加载安装很多资源和模块,出于性能考虑不推荐在生产环境使用。自己在开发调试的时候,可以鼓捣着玩玩KsG少儿编程网-https://www.pxcodes.com

【推荐学习:《nodejs 教程》】

以上就是nodejs支持import吗的详细内容,更多请关注少儿编程网其它相关文章!KsG少儿编程网-https://www.pxcodes.com

来源:php中文网KsG少儿编程网-https://www.pxcodes.com


相关文章:

支持一下 ( )

nodejs支持import吗

      匿名评论
    • 评论
    人参与,条评论
    nodejs支持import吗

微信公众号

免费视频教程

先知道